# Luanti Server

## Useful Links

- Luanti [Github](https://github.com/luanti-org/luanti)
- [ContentDB](https://content.luanti.org/)

## Setup

1. Grab a game, put it in data/games
2. Get your mods, put them in data/mods
3. Build a world\* with the client, then copy it into the data/worlds

\* Or use one of the included worlds

## Build

1. Clone this repo
2. Edit `luanti/Dockerfile` and pick a `VERSION` (5.9.0 or higher)
3. `docker compose build` (Build the server)
4. [Setup](#setup)
5. `docker compose up` \*

> \* Add `-d` (daemon/background) once you've verified you've setup your server correctly (No missing mods, incompatable mods, etc.)

